### Enumeration

# Vips ForeignFlags

#### Declaration

    flags Vips.ForeignFlags

#### Description [src]

Some hints about the image loader.

`VIPS_FOREIGN_PARTIAL` means that the image can be read directly from the file without needing to be unpacked to a temporary image first.

`VIPS_FOREIGN_SEQUENTIAL` means that the loader supports lazy reading, but only top-to-bottom (sequential) access. Formats like PNG can read sets of scanlines, for example, but only in order.

If neither PARTIAL or SEQUENTIAL is set, the loader only supports whole image read. Setting both PARTIAL and SEQUENTIAL is an error.

`VIPS_FOREIGN_BIGENDIAN` means that image pixels are most-significant byte first. Depending on the native byte order of the host machine, you may need to swap bytes. See `vips_copy()`.

#### Members

`VIPS_FOREIGN_NONE`

  No flags set.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_PARTIAL`

  The image may be read lazilly.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_BIGENDIAN`

  Image pixels are most-significant byte first.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_SEQUENTIAL`

  Top-to-bottom lazy reading.

  - Value: `4`
  - Available since: 8.0
`VIPS_FOREIGN_ALL`

  No description available.

  - Value: `7`
  - Available since: 8.0